Bug 116849 - JPEG export as selection crops too much (or compression makes it seem off)
Summary: JPEG export as selection crops too much (or compression makes it seem off)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Graphics-Export
  Show dependency treegraph
 
Reported: 2018-04-06 14:21 UTC by Buovjaga
Modified: 2021-07-15 03:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Source file (9.75 KB, application/vnd.oasis.opendocument.graphics)
2018-04-06 14:21 UTC, Buovjaga
Details
Screenshot comparing JPEG exports from 3.3.0 vs. 6.2 (47.99 KB, image/png)
2018-07-14 20:09 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-04-06 14:21:22 UTC
Created attachment 141169 [details]
Source file

1. Open attached ODG
2. Ctrl-A to select all
3. File - Export - Jpeg (tick Selection!!)
4. Default settings, OK

The bottom line in the bottom box is cropped away.

Not yet seen in 3.6.7.
Already in 4.3.0 (tested on Win)

Workaround is to export the full page instead of selection in some lossless format like PNG, edit in GIMP to crop how you like and export as JPEG.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6acda2a36c9025e0d3fe94d6ca8788ab60c3203e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 2nd 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 1 raal 2018-04-07 15:59:48 UTC
repro 4.1, Linux
Comment 3 Roman Kuznetsov 2018-07-14 19:16:51 UTC
Buovjaga, I tried export only selection from your file into JPG and into PNG in LibreOffice 6.1.0.1 on Windows 10. I got the same result for these both.
Bottom line of bottom shape don't crop. There is line. Just border of image very close from this line.

Increase scale of image and look at bottom part of image (You can use GIMP).

My opinion -> WFM
Comment 4 Buovjaga 2018-07-14 20:09:51 UTC
Created attachment 143549 [details]
Screenshot comparing JPEG exports from 3.3.0 vs. 6.2

Maybe it is not cropping, but something changed in the JPEG compression? Earlier the bottom line was clear, but now it looks pale, like only antialiasing.

I did take another look at 3.6.7 and it is not full black in it either. 3.3.0 looks sharpest.
Comment 5 QA Administrators 2019-07-15 02:47:58 UTC Comment hidden (obsolete, spam)
Comment 6 QA Administrators 2021-07-15 03:36:40 UTC
Dear Buovjaga,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug